Unit tmnb5r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FMNB5R_p, MNB5R_p;

function tmnb5r: String;

implementation

function tmnb5r: String;
var
KOUNT,IER :Integer;
R,XMIN,YMIN :Real;
X :Array [0..0] of Real;
S :Array [0..0] of Real;
XX :Array [0..0] of Real;
const
N :Integer = 1;
XLIM :Real = 1.0E-6;
DELX :Real = 0.5;
EPS :Real = 1.0E-7;
begin
Result := '';  {   }
X[0] := 0.0;
S[0] := 1.0;
MNB5R(N,X,S,XX,DELX,EPS,XLIM
     ,XMIN,YMIN,KOUNT,IER,FMNB5R);
Result := Result + Format('          %6d %6d   %20.16f   %20.16f ',
 [IER,KOUNT,XMIN,YMIN]) + #$0D#$0A;
R := -100.0*Exp(-XMIN)+1.0;
Result := Result + Format('%s',['          F''(XMIN) = ']);
Result := Result + Format('%20.16f ',[R]) + #$0D#$0A;
UtRes('tmnb5r',Result);  {     tmnb5r.res }
exit;
end;

end.
